Bug Hunting Session
Bug 104743 - FILESAVE: PPTX Transparent % background not exported
Summary: FILESAVE: PPTX Transparent % background not exported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-17 21:46 UTC by Xisco Faulí
Modified: 2017-08-31 08:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-12-17 21:46:29 UTC
1. Open attachment 91955 [details] from bug 72567 or attachment 90912 [details] from bug 72823 
2. Export to .PPTX
3. Open the new .PPTX file

Observed behaviour: Transparent % background is lost after RT

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 MM 2016-12-17 23:47:16 UTC
Sure it's not a dup from bug 96061 ?
Comment 2 Xisco Faulí 2016-12-18 10:45:37 UTC
I belive it¡'s not, in bug (In reply to MM from comment #1)
> Sure it's not a dup from bug 96061 ?

I believe it's not, in bug 96061 the entire background is lost after RT, in this one, only the transparency is lost, the image is kept.
Comment 3 tommy27 2016-12-18 14:25:06 UTC
I confirm issue under Win8.1 x64 using a recent 5.4.0.0 alpha build.

I've also noticed that the same file opened in 5.2.3.3 shows no transparency at all.
Comment 4 Commit Notification 2017-07-17 08:44:43 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e50d5b52637dec44f2934a21ca4b47a51e8298f0

tdf#104743: Export transparency for bitmap fill/background

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-08-17 10:42:42 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 6 Katarina Behrens (CIB) 2017-08-30 22:32:41 UTC
Nobody complained so far, so it might be fixed
Comment 7 Cor Nouws 2017-08-31 08:18:22 UTC
verified in Version: 6.0.0.0.alpha0+
Build ID: 7f4e02e3809e10564bd2bb91465c99f4dd207da7
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-30_00:56:24
Locale: nl-NL (nl_NL.UTF-8); Calc: group

(Note: styles of placeholders for Title/text are lost after RT)